// Listen to the item tag event
ServerEvents.tags('item', event => {
  // ADDING TAGS...BEEPBEEPBEEP (i am cosmonautic and i have been awake for 22 hours)
  
  //BLACK IRON MATERIAL(S)??
  //raw ore
  event.add('forge:raw_materials/black_iron', 'blackiron:raw_black_iron'),
  event.add('c:raw_ores', 'blackiron:raw_black_iron'),
  event.add('forge:raw_materials', 'blackiron:raw_black_iron'),
  
  //ingot
  event.add('c:ingots', 'blackiron:black_iron_ingot'),
  event.add('forge:ingots', 'blackiron:black_iron_ingot'),
  
  //nugget
  event.add('forge:nuggets', 'blackiron:black_iron_nugget'),
  event.add('c:nuggets', 'blackiron:black_iron_nugget'),
  event.add('forge:nuggets/black_iron_nugget', 'blackiron:black_iron_nugget'),
  
  //raw black iron block
  event.add('forge:storage_blocks', 'blackiron:raw_black_iron_block'),
  event.add('forge:storage_blocks/raw_black_iron', 'blackiron:raw_black_iron_block'),
  
  //black iron ore
  event.add('forge:ores', 'blackiron:black_iron_ore'),
  event.add('c:ores', 'blackiron:black_iron_ore'),
  event.add('forge:ore_rates/singular', 'blackiron:black_iron_ore'),
  event.add('forge:ores/black_iron', 'blackiron:black_iron_ore'),
  
  //BLACK IRON TOOLS
  //hoe
  event.add('forge:tools/hoes', 'blackiron:black_iron_hoe'),
  event.add('forge:tools', 'blackiron:black_iron_hoe'),
  event.add('minecraft:breakable_tools', 'blackiron:black_iron_hoe'),
  event.add('resurvival:black_iron_tools', 'blackiron:black_iron_hoe'),
  event.add('c:hoes', 'blackiron:black_iron_hoe'),
  event.add('minecraft:hoes', 'blackiron:black_iron_hoe'),
  event.add('minecraft:tools', 'blackiron:black_iron_hoe')
  
  //shovel
  event.add('forge:tools', 'blackiron:black_iron_shovel'),
  event.add('minecraft:breakable_tools', 'blackiron:black_iron_shovel'),
  event.add('resurvival:black_iron_tools', 'blackiron:black_iron_shovel'),
  event.add('c:shovels', 'blackiron:black_iron_shovel'),
  event.add('minecraft:shovels', 'blackiron:black_iron_shovel'),
  event.add('minecraft:tools', 'blackiron:black_iron_shovel')
  event.add('shoving_shovels:shoving_shovels_enchantable', 'blackiron:black_iron_shovel'),
  event.add('forge:tools/shovels', 'blackiron:black_iron_shovel'),
  
  //axe
  event.add('forge:tools', 'blackiron:black_iron_axe'),
  event.add('minecraft:breakable_tools', 'blackiron:black_iron_axe'),
  event.add('resurvival:black_iron_tools', 'blackiron:black_iron_axe'),
  event.add('c:axes', 'blackiron:black_iron_axe'),
  event.add('minecraft:axes', 'blackiron:black_iron_axe'),
  event.add('minecraft:tools', 'blackiron:black_iron_axe'),
  event.add('forge:tools/axes', 'blackiron:black_iron_axe'),
  
  //pickaxe
  event.add('forge:tools', 'blackiron:black_iron_pickaxe'),
  event.add('minecraft:breakable_tools', 'blackiron:black_iron_pickaxe'),
  event.add('resurvival:black_iron_tools', 'blackiron:black_iron_pickaxe'),
  event.add('c:pickaxes', 'blackiron:black_iron_pickaxe'),
  event.add('minecraft:pickaxes', 'blackiron:black_iron_pickaxe'),
  event.add('minecraft:tools', 'blackiron:black_iron_pickaxe'),
  event.add('forge:tools/pickaxes', 'blackiron:black_iron_pickaxe'),
  event.add('minecraft:cluster_max_harvestables', 'blackiron:black_iron_pickaxe'),
  
  //sword
  event.add('forge:tools', 'blackiron:black_iron_sword'),
  event.add('minecraft:breakable_swords', 'blackiron:black_iron_sword'),
  event.add('resurvival:black_iron_tools', 'blackiron:black_iron_sword'),
  event.add('c:swords', 'blackiron:black_iron_sword'),
  event.add('minecraft:swords', 'blackiron:black_iron_sword'),
  event.add('minecraft:tools', 'blackiron:black_iron_sword'),
  event.add('forge:tools/swords', 'blackiron:black_iron_sword'),
  event.add('minecraft:cluster_max_harvestables', 'blackiron:black_iron_pickaxe'),
  
  //BLACK IRON ARMOR
  //helmet
  event.add('forge:armors', 'blackiron:black_iron_helmet'),
  event.add('minecraft:trimmable_armor', 'blackiron:black_iron_helmet'),
  event.add('resurvival:black_iron_armour', 'blackiron:black_iron_helmet'),
  event.add('bookshelf:armor', 'blackiron:black_iron_helmet'),
  event.add('bookshelf:helmets', 'blackiron:black_iron_helmet'),
  event.add('forge:armor', 'blackiron:black_iron_helmet'),
  event.add('forge:armors/helmets', 'blackiron:black_iron_helmet'),
  
  //chestplate
  event.add('forge:armors', 'blackiron:black_iron_chestplate'),
  event.add('minecraft:trimmable_armor', 'blackiron:black_iron_chestplate'),
  event.add('resurvival:black_iron_armour', 'blackiron:black_iron_chestplate'),
  event.add('bookshelf:armor', 'blackiron:black_iron_chestplate'),
  event.add('bookshelf:chestplates', 'blackiron:black_iron_chestplate'),
  event.add('forge:armor', 'blackiron:black_iron_chestplate'),
  event.add('forge:armors/chestplates', 'blackiron:black_iron_chestplate'),
  
  //leggings
  event.add('forge:armors', 'blackiron:black_iron_leggings'),
  event.add('minecraft:trimmable_armor', 'blackiron:black_iron_leggings'),
  event.add('resurvival:black_iron_armour', 'blackiron:black_iron_leggings'),
  event.add('bookshelf:armor', 'blackiron:black_iron_leggings'),
  event.add('bookshelf:leggings', 'blackiron:black_iron_leggings'),
  event.add('forge:armor', 'blackiron:black_iron_leggings'),
  event.add('forge:armors/leggings', 'blackiron:black_iron_leggings'),
  
  //boots
  event.add('forge:armors', 'blackiron:black_iron_boots'),
  event.add('minecraft:trimmable_armor', 'blackiron:black_iron_boots'),
  event.add('resurvival:black_iron_armour', 'blackiron:black_iron_boots'),
  event.add('bookshelf:armor', 'blackiron:black_iron_boots'),
  event.add('bookshelf:boots', 'blackiron:black_iron_boots'),
  event.add('forge:armor', 'blackiron:black_iron_boots'),
  event.add('forge:armors/boots', 'blackiron:black_iron_boots'),
  event.add('supplementaries:ignite_flint_blocks', 'blackiron:black_iron_boots')
})